Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Turtle

    java.lang.Object
      SimpleTurtle
          Turtle

Direct Known Subclasses:
  Deer, Wolf

    public class Turtle

extends SimpleTurtle

Class that represents a turtle which is similar to a Logo turtle. This class inherts from SimpleTurtle and is for students to add methods to. Copyright Georgia Institute of Technology 2004

Author:
  Barb Ericson ericson@cc.gatech.edu

Constructor Summary
`Turtle(int x, int y, ModelDisplay modelDisplayer)` Constructor that takes the x and y and a model display to draw it on
`Turtle(int x, int y, Picture picture)` Constructor that takes the x and y and a picture to draw on
`Turtle(ModelDisplay modelDisplay)` Constructor that takes the model display
`Turtle(Picture p)` Constructor that takes a picture to draw on

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class SimpleTurtle
`backward, backward, clearPath, drawInfoString, drop, forward, forward, getBodyColor, getDistance, getHeading, getHeight, getInfoColor, getModelDisplay, getName, getPen, getPenColor, getPenWidth, getPicture, getShellColor, getShowInfo, getWidth, getXPos, getYPos, hide, isPenDown, isVisible, moveTo, paintComponent, penDown, penUp, setBodyColor, setColor, setHeading, setHeight, setInfoColor, setModelDisplay, setName, setPen, setPenColor, setPenDown, setPenWidth, setPicture, setShellColor, setShowInfo, setVisible, setWidth, show, toString, turn, turnLeft, turnRight, turnToFace, turnToFace, updateDisplay`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Turtle

    public Turtle(int x,
                  int y,
                  Picture picture)

  Constructor that takes the x and y and a picture to draw on

  Parameters:
    `x` - the starting x position
    `y` - the starting y position
    `picture` - the picture to draw on

### Turtle

    public Turtle(int x,
                  int y,
                  ModelDisplay modelDisplayer)

  Constructor that takes the x and y and a model display to draw it on

  Parameters:
    `x` - the starting x position
    `y` - the starting y position
    `modelDisplayer` - the thing that displays the model

### Turtle

    public Turtle(ModelDisplay modelDisplay)

  Constructor that takes the model display

  Parameters:
    `modelDisplay` - the thing that displays the model

### Turtle

    public Turtle(Picture p)

  Constructor that takes a picture to draw on

  Parameters:
    `p` - the picture to draw on

Method Detail

### main

    public static void main(String[] args)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD